extra:
  leak_canary:
    release: '2.13'
    next_release: '2.14'
  social:
    - icon: fontawesome/brands/github-alt
      link: https://square.github.io/
    - icon: fontawesome/brands/twitter
      link: https://twitter.com/Piwai
    - icon: fontawesome/brands/stack-overflow
      link: https://stackoverflow.com/questions/tagged/leakcanary?sort=active
    - icon: fontawesome/brands/linkedin
      link: https://www.linkedin.com/company/joinsquare/

site_name: LeakCanary
site_url: https://square.github.io/leakcanary/
repo_name: LeakCanary
repo_url: https://github.com/square/leakcanary
edit_uri: edit/main/docs/
site_description: "A memory leak detection library for Android"
site_author: Square, Inc.
remote_branch: gh-pages

copyright: 'Copyright &copy; 2015 Square, Inc.'

theme:
  name: 'material'
  custom_dir: 'docs/theme'
  logo: 'images/logo.png'
  icon:
    repo: fontawesome/brands/github
  favicon: 'images/logo.png'
  palette:
    primary: 'deep-orange'
    accent: 'deep-purple'
  features:
    - tabs

markdown_extensions:
  - smarty
  - codehilite:
      guess_lang: false
  - footnotes
  - meta
  - toc:
      permalink: true
  - pymdownx.betterem:
      smart_enable: all
  - pymdownx.caret
  - pymdownx.inlinehilite
  - pymdownx.magiclink
  - pymdownx.smartsymbols
  - pymdownx.superfences
  - pymdownx.emoji
  - pymdownx.tabbed
  - pymdownx.snippets
  - tables
  - admonition


plugins:
    - search
    - markdownextradata: {}

nav:
  - 'Overview': index.md
  - 'Getting Started': getting_started.md
  - 'Fundamentals':
    - 'Introduction': 'fundamentals.md'
    - 'How LeakCanary works': 'fundamentals-how-leakcanary-works.md'
    - 'Fixing a memory leak': 'fundamentals-fixing-a-memory-leak.md'
  - 'LeakCanary at scale':
    - 'Leak detection in UI tests': 'ui-tests.md'
    - 'Uploading analysis results': 'uploading.md'
    - 'LeakCanary for releases': 'leakcanary-for-releases.md'
  - 'Help & Community':
    - 'Code recipes': recipes.md
    - 'FAQ': faq.md
    - 'Support': support.md
    - 'Upgrading to LeakCanary 2': upgrading-to-leakcanary-2.0.md
    - 'Recorded Presentations': recorded-presentations.md
    - 'Blog Articles': blog-articles.md
    - 'Stack Overflow ⏏': https://stackoverflow.com/questions/tagged/leakcanary?sort=active
    - 'Contributing':
        - 'Code of Conduct': code_of_conduct.md
        - 'Dev Environment': dev-env.md
        - 'Releasing': releasing.md
        - 'How to help': how_to_help.md
  - 'Shark':
    - 'Overview': shark.md
    - 'Shark API': api/shark/index.md
  - 'LeakCanary API': api/leakcanary/index.md
  - 'Change Log': changelog.md

# Google Analytics. Add export LEAKCANARY_GOOGLE_ANALYTICS_KEY="UA-XXXXXXXXX-X" to your ~/.bashrc
google_analytics:
  - !!python/object/apply:os.getenv ["LEAKCANARY_GOOGLE_ANALYTICS_KEY"]
  - auto
